Description

This mod basically maps UnityEngine.QualitySettings to configurable variables.

You can use this mod to help make Valheim run smoother on potato PCs or increase the quality of screenshots.

Just make sure you read the documentation first:

https://docs.unity3d.com/ScriptReference/QualitySettings.html﻿


Notes

A bunch of the int settings are actually enumerators, so for example "shadows" can be set to 0, 1, 2, corresponding to the values here:

https://docs.unity3d.com/ScriptReference/ShadowQuality.html

i.e. 0 = Disable, 1 = HardOnly, 2 = All

This mod doesn't touch post-processing yet.


Config

A config file BepInEx/config/aedenthorn.CustomGraphicsSettings.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor


Technical

To install this mod, the easiest way is to just use Vortex, the Nexus Mods mod manager. It should take care of all dependencies.

To install manually, place the dll file in the BepInEx/plugins folder. You will need BepInEx.

Code is at https://github.com/aedenthorn/ValheimMods.

﻿﻿If you want to complain or ask for help or help me test my mods, you can visit my Discord server﻿ https://discord.gg/bs6zHuj.

Click below for a list of all their mods for Valheim.
https://www.nexusmods.com/valheim/articles/104


Changelogs

        Version 0.7.0
            Instant setting update
            Other fixes
        Version 0.4.0
            Enable reloading through console
        Version 0.3.2
            Remove log message
        Version 0.3.1
            Fixed console command
        Version 0.3.0
            Fixed console reset command
        Version 0.2.0
            Added console command, removed harmony

